Subject: Re: [arch-d] Call for Comment: <draft-ietf-iasa2-rfc6635bis-03> (RFC Editor Model (Version 2))

From: Brian E Carpenter <[email-masked]>
Date: Wed, 11 Sep 2019 14:04:46 +1200

Hi,

I believe this draft does represent the consensus of the IASA2 WG and cleans up some loose ends from the IAOC to IETF LLC transition. However, I believe that it should not be published as an RFC. The discussions that will soon start about the future of the RFC Editor model make that rather pointless.

Regards
   Brian Carpenter

On 05-Sep-19 08:59, IAB Executive Administrative Manager wrote:
> This is an announcement of an IETF-wide Call for Comment on 
> draft-ietf-iasa2-rfc6635bis-03.
> 
> The document is being considered for publication as an Informational RFC 
> within the IAB stream, and is available for inspection at:
> <https://datatracker.ietf.org/doc/draft-ietf-iasa2-rfc6635bis/>
> 
> The Call for Comment will last until 2019-10-02. Please send comments to
> [email-masked] and [email-masked].
> 
> Abstract
> 
>    The RFC Editor model described in this document divides the
>    responsibilities for the RFC Series into three functions: the RFC
>    Series Editor, the RFC Production Center, and the RFC Publisher.
>    Internet Architecture Board (IAB) oversight via the RFC Series
>    Oversight Committee (RSOC) is described, as is the relationship
>    between the IETF Administration Limited Liability Company and the
>    RSOC.  This document reflects the experience gained with "RFC Editor
>    Model (Version 1)", documented in RFC 5620; and obsoletes RFC 6635 to
>    replace all references to the IASA and related structures with those
>    defined by the IASA 2.0 Model.
> 
>    [RFC Editor: Please remove the following paragraph prior to
>    publication.]
> 
>    The IASA2 WG requests that the IAB publish this replacement for RFC
>    6635.
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce
>

---

From: S Moonesamy <[email-masked]>
Date: Tue, 10 Sep 2019 23:22:43 -0700

Dear Internet Architecture Board,
>[email-masked] and [email-masked].

The is a misspelled word in last sentence at the bottom of Page 3 of the draft.

There has been a significant discussion of the RFC Editor Model since 
July.  Section 2.1.5 of draft-ietf-iasa2-rfc6635bis-03 was not 
adhered to since several years.  The qualification described in 
Section 2.1.6 does not reflect what would be sought in a person to 
fulfill the role of RFC Series Editor.  The description of the 
oversight role of the RFC Series Oversight Committee, described in 
Section 3.1, is not aligned with what could be envisioned for the RFC Series.

Given the above, it is not judicious to publish 
draft-ietf-iasa2-rfc6635bis-03 as a RFC without an adequate review of 
the draft.

Regards,
S. Moonesamy

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 27 Sep 2019 14:33:55 +0100

Hi,

I have some comments on this document.

Section 1:

s/The IAB maintains it's/The IAB maintains its/

s/Internet Administrative Oversight Committee (IAOC)/IETF Administrative Oversight Committee (IAOC)/

Section 2.1:

"The RSE is expected to cooperate closely with the LLC Board and the
   stream managers."

Given that the LLC Board is an oversight body operating at a strategic level, I think this would make more sense if it said "LLC" (which includes LLC staff and contractors, including tools people) rather than "LLC Board."

Section 2.1.7:

The LLC is in the process of adopting a conflict of interest policy that will apply to all staff, contractors, and board directors <https://github.com/ietf-llc/policies-consultation/blob/master/Conflict-of-Interest-00.md>. Since the RSE will be bound by that policy, I think Section 2.1.7 should be removed to avoid confusion about which policy applies.

Section 3.1:

"For all decisions that affect the RSE individually (e.g., hiring and
 firing), the RSOC prepares recommendations for the IAB, but the final
 decision is the responsibility of the IAB."

Since the LLC is the contract holder, it needs to have final decisional authority about hiring and firing, e.g. if it is unable to negotiate suitable contract terms with a candidate. I would suggest the following edit:

"For all decisions that affect the RSE individually (e.g., hiring and firing), the RSOC prepares recommendations for the IAB, but approval of these recommendations is the responsibility of the IAB."

Section 4.2:

"The RFC Series portion of the LLC budget shall include entries for
   the RSOC, RSE, RFC Production Center, and the RFC Publisher.  The LLC
   budget shall also include entries for the streams, including the
   independent stream."

Since RFC 6635 was published I can't recall seeing a budget that had a line item for RSOC or for "the streams," so this text has seemingly not matched actual practice for some time. More generally, allowing the LLC some flexibility about how the line items appear seems warranted given that the LLC has this flexibility for the rest of the budget. I would suggest the following edit:

"The LLC budget shall include funding to support the RSOC, RSE, RFC Production Center, the RFC Publisher, and the Independent Submissions Editor."

Section 4.4:

   "If a disagreement or decision has immediate or future contractual
   consequences, it falls under [I-D.ietf-iasa2-rfc4071bis]; thus, the
   RSE must identify the issue and provide his or her advice to the LLC;
   additionally, if the RSOC has provided advice, forward that advice as
   well."

This sentence is not grammatically correct. I'm not sure what to suggest as it seems to be stating something obvious, but perhaps I'm not able to understand the point being made.

Thanks,
Alissa

> On Sep 4, 2019, at 9:59 PM, IAB Executive Administrative Manager <[email-masked]> wrote:
>

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 28 Sep 2019 08:16:00 +1200

Hi Alissa,

One general comment is that I suppose that this is really "RFC Editor Model (Version 2.1)" since it's a small variant on Version 2, and I imagine we'll be having a Version 3 in not very long, with more fundamental changes. In any case I think the title really should be slightly updated.

On 28-Sep-19 01:33, Alissa Cooper wrote:
...
> The LLC is in the process of adopting a conflict of interest policy that will apply to all staff, contractors, and board directors <https://github.com/ietf-llc/policies-consultation/blob/master/Con…

I think that completely removing the section would be a mistake, since it makes a fairly important statement about the RSE's neutrality (something I think we will be boosting when it comes time for Version 3, so this section is also a placeholder). But of course you are correct that we don't want any inconsistency with the LLC policy. Could I suggest that the section is reduced to:

2.1.7.  Conflict of Interest

   The RSE is expected to avoid even the appearance of conflict of
   interest or judgment in performing these roles.  To ensure this,
   the RSE will be subject to a conflict of interest policy
   established by the LLC.

Regards
    Brian

---

From: Bob Hinden <[email-masked]>
Date: Fri, 27 Sep 2019 16:45:49 -0700

Alissa,

> On Sep 27, 2019, at 6:33 AM, Alissa Cooper <[email-masked]> wrote:
> 
> Hi,
> 

Thanks for reviewing the document.

> s/Internet Administrative Oversight Committee (IAOC)/IETF Administrative Oversight Committee (IAOC)/

Good

> Given that the LLC Board is an oversight body operating at a strategic level, I think this would make more sense if it said "LLC" (which includes LLC staff and contractors, including tools people) rather than "LLC Board.”
> 

That is fixed in -03.

> The LLC is in the process of adopting a conflict of interest policy that will apply to all staff, contractors, and board directors <https://github.com/ietf-llc/policies-consultation/blob/master/Con…

As Brian Carpenter said, I think it would be a mistake to not say anything.  His proposed text seems reasonable to me, it is:

> "For all decisions that affect the RSE individually (e.g., hiring and firing), the RSOC prepares recommendations for the IAB, but approval of these recommendations is the responsibility of the IAB.”

I think that is an improvement on the text.

> "The LLC budget shall include funding to support the RSOC, RSE, RFC Production Center, the RFC Publisher, and the Independent Submissions Editor.”

I don’t read this as requiring line items in a published budget, for example, like the one at:

https://www.ietf.org/media/documents/IETF_2019_Budget_Public_2018-12-19.pdf

I think it was saying the LLC should be budgeting and tracking these activities, how it reports this to the community is a different matter.  That said, I think your text is clearer, but I think it’s a mistake to call out the RSOC here, as that is clearly part of the IAB.  So I suggest:

OLD:

   The RFC Series portion of the LLC budget shall include entries for
   the RSOC, RSE, RFC Production Center, and the RFC Publisher.  The LLC
   budget shall also include entries for the streams, including the
   independent stream.

NEW:

   The RFC Series portion of the LLC budget shall include funding to support
   the RSE, RFC Production Center, RFC Publisher, and the Independent Stream.

> This sentence is not grammatically correct. I'm not sure what to suggest as it seems to be stating something obvious, but perhaps I'm not able to understand the point being made.

That is quite a sentence, too many editors here :-)

How about:

   If a disagreement or decision has immediate or future contractual
   consequences, it falls under [I-D.ietf-iasa2-rfc4071bis].  If this happens
   the RSE must identify the issue and provide advice to the LLC.
   Additionally, if the RSOC has also developed advice, it should forward that
   advice to the LLC.

   The LLC must notify the RSOC and IAB regarding the action it
   concludes is required to resolve the issue based on its applicable
   procedures and provisions in the relevant contracts.

Thanks,
Bob

> Architecture-discuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/architecture-discuss

---

From: Bob Hinden <[email-masked]>
Date: Fri, 27 Sep 2019 17:01:17 -0700

Hi,

I am the document editor for this version of the document.

> On Sep 10, 2019, at 11:22 PM, S Moonesamy <[email-masked]> wrote:
> 

I will fix in the next version.

> 
> There has been a significant discussion of the RFC Editor Model since July.  Section 2.1.5 of draft-ietf-iasa2-rfc6635bis-03 was not adhered to since several years.  The qualification described in Section 2.1.6 does not reflect what would be sought in a person to fulfill the role of RFC Series Editor.  The description of the oversight role of the RFC Series Oversight Committee, described in Section 3.1, is not aligned with what could be envisioned for the RFC Series.
> 
> Given the above, it is not judicious to publish draft-ietf-iasa2-rfc6635bis-03 as a RFC without an adequate review of the draft.
> 

The direction on this draft was to only change parts of the document that related to the change from the IAOC to LLC.

The larger issues with the RFC Editor need to be resolved, but I don’t think the LLC related changes should be delayed until that is complete.   It’s going to take a while in my view.

Thanks,
Bob

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 30 Sep 2019 09:01:17 -0400

Hi Bob,

All sounds good to me.

Thanks,
Alissa

> On Sep 27, 2019, at 7:45 PM, Bob Hinden <[email-masked]> wrote:
> 
> Alissa,
>

---

From: Bob Hinden <[email-masked]>
Date: Mon, 30 Sep 2019 08:35:41 -0700

Thanks, I will plan a new version with these changes after the last call ends on 2019-10-02.

Bob

> On Sep 30, 2019, at 6:01 AM, Alissa Cooper <[email-masked]> wrote:
> 
> Hi Bob,
> 
> All sounds good to me.
> 
> Thanks,
> Alissa
> 
>